Subject: Re: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: martin rudalics <[email-masked]>
Date: Sat, 27 Sep 2014 21:01:51 +0200

>> 117
 >> 122 [28 times]
 >
 > This says point doesn't move, which I don't understand how can
 > happen.  forward-line doesn't care about anything except moving point
 > to the next line.

But after 28 times point moves which is even less understandable.

 > But if new_vpos is 426 and row->height is 16, then the last row, which
 > starts at y = 426, will end at y = 442, i.e. it's fully visible.  This
 > contradicts what you said earlier, that the last line is only
 > partially visible.

Then why does cursor_row_fully_visible_p return 0 here?

#0  cursor_row_fully_visible_p (w=0x5a25d78, force_p=0, current_matrix_p=0) at xdisp.c:15039
#1  0x01050f3f in redisplay_window (window=..., just_this_one_p=false) at xdisp.c:16250
#2  0x0104a340 in redisplay_window_0 (window=...) at xdisp.c:14322
#3  0x011913e2 in internal_condition_case_1 (bfun=0x104a30a <redisplay_window_0>, arg=..., handlers=..., hfun=0x104a2e6 <redisplay_window_error>) at eval.c:1368
#4  0x0104a2cb in redisplay_windows (window=...) at xdisp.c:14302
#5  0x0104a280 in redisplay_windows (window=...) at xdisp.c:14296
#6  0x0104a280 in redisplay_windows (window=...) at xdisp.c:14296
#7  0x01049291 in redisplay_internal () at xdisp.c:13901
#8  0x01047276 in redisplay () at xdisp.c:13181
#9  0x01104b89 in read_char (commandflag=1, map=..., prev_event=..., used_mouse_menu=0x82f7ef, end_time=0x0) at keyboard.c:2594
#10 0x01112957 in read_key_sequence (keybuf=0x82f8e4, bufsize=30, prompt=..., dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9178
#11 0x01102641 in command_loop_1 () at keyboard.c:1467
#12 0x011912cf in internal_condition_case (bfun=0x11022bc <command_loop_1>, handlers=..., hfun=0x1101b27 <cmd_error>) at eval.c:1344
#13 0x01101f72 in command_loop_2 (ignore=...) at keyboard.c:1198
#14 0x0119086e in internal_catch (tag=..., func=0x1101f4e <command_loop_2>, arg=...) at eval.c:1105
#15 0x01101f2c in command_loop () at keyboard.c:1177
#16 0x011016c3 in recursive_edit_1 () at keyboard.c:787
#17 0x01101880 in Frecursive_edit () at keyboard.c:858
#18 0x010ff5dc in main (argc=1, argv=0xa327e8) at emacs.c:1643

Lisp Backtrace:
"redisplay_internal (C function)" (0x206c3b4)

You probably mean I should answer that myself but honestly I don't
understand cursor_row_fully_visible_p much.  In any case, at least one
pixel is missing visually.

 > Which GCC version is that?  I have 4.8.1 here.

4.6.2.  I'll try with Debian the next time.

martin